As evidenced by over 30 years of development history, trust-worthy Korean CAD, CADian!
FAQ
·
2013.12.11
CADian VBA Sample Code - 17 [ PolarPoint ]
|
---|
Get a point which is in specified Angle and distance from a given point. RetVal = PolarPoint(Point, Angle, Distance) Dim polarPt As Point Dim basePt As Point Dim angle As Double Dim distance As Double Dim lineObj As IntelliCAD.Line Set basePt = Library.CreatePoint(3, 2, 0) angle = 0.5 ""angle in radians distance = 3.5 Set polarPt = ThisDocument.Utility.PolarPoint(basePt, angle, distance) Set lineObj = ThisDocument.ModelSpace.AddLine(basePt, polarPt) |